Subject: Re: contribution soapbox(was Re: G++ guru's please comment - Re: FW: pthread_create problem in Cygwin 1.1.8-2])
From: Duke Normandin <[email-masked]>
To: Robert Collins <[email-masked]>
Cc: [email-masked]
Date: Tue, 10 Apr 2001 06:57:07 -0600

On Tue, Apr 10, 2001 at 01:52:11PM +1000, Robert Collins wrote:
 
> <snip>
> > thin a layer
> > > cygwin is over win32 - it's hardly there at all. So I threw out the
> > > win32 threads code, and fixed up what was missing in 
> > Cygwin. That core
> >                           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
> > Is there a code audit of these "contributions" to Cygwin? Can 
> > *anybody*
> > get in there and "commit" code/patches?
> 
> I'm not quite sure why you quoted the word contributions. I wrote the
> code, and contributed it to Redhat for inclusion in cygwin. I'm not a
> committer - I only have read only access to the CVS repository. The same
> level of access you do. ALl my contributions get reviewed by Chris
> before being committed. As for the "core team" (I don't know the correct
> label), who can commit into the CVS repository, I believe that Chris
> reviews post-commit what went in. Certainly, on this very list,
> alterations have been discussed and even reversed. 
> 
> The fact that my sample code was bad was due to the fact that I'd
> literally drafted it 10 minutes before, and hadn't sat down and done my
> first self-review. 
> 
> If you're interested in the cygwin code quality, you can subscribe to
> the cygwin-cvs mailing list and see for yourself.

I didn't mean to offend you or anyone else, Rob. I'm new to Cygwin, but
familiar with Open/FreeBSD. For some reason, I got the wrong impression
about contributing code to the project, and the controls in place. So I
asked the question. Sorry about that!
--
-duke
Calgary, Alberta, Canada

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple